"use strict";

var React = require('react');

var Title = function Title(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement("input", {
    className: "blurb blurb-title-editing",
    type: "text",
    value: data.text,
    onChange: function onChange(event) {
      return updateData({ text: event.target.value });
    } }) : React.createElement(
    "h1",
    { className: "blurb blurb-title" },
    data.text
  );
};

Title.propTypes = {
  data: React.PropTypes.shape({
    text: React.PropTypes.string.isRequired
  }),
  isEditing: React.PropTypes.bool,
  updateData: React.PropTypes.func
};

module.exports = Title;