"use strict";

var React = require('react');

var Unsubscribe = function Unsubscribe(_ref) {
  var data = _ref.data,
      isEditing = _ref.isEditing,
      updateData = _ref.updateData;
  return isEditing ? React.createElement("input", {
    className: "blurb blurb-unsubscribe-editing",
    type: "text",
    value: data.href,
    onChange: function onChange(event) {
      return updateData({ href: event.target.value });
    } }) : React.createElement(
    "div",
    { className: "blurb blurb-unsubscribe" },
    React.createElement(
      "p",
      null,
      "Don't want these emails? No worries!"
    ),
    React.createElement(
      "p",
      null,
      React.createElement(
        "a",
        { href: data.href },
        "Click here to unsubscribe."
      )
    )
  );
};

Unsubscribe.propTypes = {
  data: React.PropTypes.shape({
    href: React.PropTypes.string.isRequired
  }),
  isEditing: React.PropTypes.bool,
  updateData: React.PropTypes.func
};

module.exports = Unsubscribe;